Bug 832614 - Include the public/external IP address of the node in the response of the application creation rest api
Include the public/external IP address of the node in the response of the app...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Master (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 19:18 EDT by Abhishek Gupta
Modified: 2012-06-25 14:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 14:26:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhishek Gupta 2012-06-15 19:18:58 EDT
Description of problem:
In the response of the REST API to create the application, return the public/external IP of the node where the application lives (primary gear).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Abhishek Gupta 2012-06-15 19:20:13 EDT
The external IP is included as part of a separate message in the response. The message exit code is 0, the field is "current_ip", the severity is "info", and the text holds the IP address.
Comment 2 Abhishek Gupta 2012-06-15 21:59:36 EDT
Fixed and waiting for merge
https://github.com/openshift/crankcase/pull/136
Comment 3 Xiaoli Tian 2012-06-19 07:27:33 EDT
Tested this on devenv_1857:
curl -k -H "Accept: application/json" --user "xtian+b101@redhat.com:123456"  https://localhost/broker/rest/domains/domainbill004/applications/ -d name=phpapp1 -d cartridge=php-5.3 -X POST

  "messages": [
    {
      "field": null,
      "exit_code": null,
      "text": "Application phpapp1 was created.",
      "severity": "info"
    },
    {
      "field": "current_ip",
      "exit_code": 0,
      "text": "23.22.129.60",
      "severity": "info"
    },
    {
      "field": "result",
      "exit_code": 0,
      "text": "",
      "severity": "info"
    }

Note You need to log in before you can comment on or make changes to this bug.